Subject: [Fot] Wheel balancer help

From: [email-masked]
Date: Sat, 13 Oct 2012 11:07:39 -0400 (EDT)

I inherited a nice wheel balancer from an old friend..Its a Micro-Precision 
 ,model M-60...supposedly same as ones sold as Coats Co....BUT,one problem 
with  it, the bubble is enlarged to almost the size of the window(supposed 
to be small  for centering in the dial)...the part is #106843 Bubble Cap 
Assembly...Apparenly  these are obsolete in production. Does anyone know if the 
bubble cap can be  repaired and renewed to proper standards and by whom?..Or 
does anyone have an  old unit that they might donate/sell me the cap. 
Really hate to scrap the whole  thing,plus the sentimental value...Any help would 
be  appreciated....Rick
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]